<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.8.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Core function:
* filemanager.inc.php: last changed 26/02/2009 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* Multiple file upload applet postlet used is from http://sourceforge.net/projects/postlet/
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.

Filemanger uses a modified version of:
TinyBrowser 1.41 - A TinyMCE file browser (C) 2008  Bryn Jones
(author website - http://www.lunarvis.com)
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
if (IsSet ($_GET['suboption']))
{
	$suboption = sanitize($_GET['suboption'], 20, 'A');
}
else
{
	$suboption = "browse" ;
}

if (IsSet ($_GET['path']))
{
	$path = $_GET['path'];
	
	if($path != "studentpages")	//only 2 choices studentpages or media
	{
		$path = "media";
	}
}
else
{
	$path = "media";
}

include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
$class = "";
if(($path == "media") AND ($suboption != "check")) $class = "class='active'";
print "<li $class><a href=\"index.php?option=filemanager&amp;path=media&amp;suboption=folders\">" . $sas_lang['filemanager'] . "</a></li>\n";
$class = "";
if($path == "studentpages") $class = "class='active'";
print "<li $class><a href=\"index.php?option=filemanager&amp;path=studentpages&amp;suboption=folders\">" . $sas_lang['student_pages'] . "</a></li>\n";
$class = "";
if($suboption == "check") $class = "class='active'";
print "<li $class><a href=\"index.php?option=filemanager&suboption=check\">File check</a></li>\n";

include ("interface/menuend.inc.php");

if (substr($access, 0, 1) != 1) //bit 1 off the accessrights
{
	print "<span class=\"sas_module_title\">" . $sas_lang['noaccess'] . "<br></span>\n";
	print "" . $sas_lang['noaccess_introduction'] . "</span><p>\n";
	include ("interface/footer.inc.php");
	exit;
}

print "<span class=\"sas_module_title\">" . $sas_lang['filemanager'] . "</span><br>\n";
print "".$sas_lang['filemanager_introduction']."</span><p>";
require_once('core/tinybrowser/config_tinybrowser.php');

// Set language
if(isset($tinybrowser['language']) && file_exists('core/tinybrowser/langs/'.$tinybrowser['language'].'.php'))
{
	require_once('core/tinybrowser/langs/'.$tinybrowser['language'].'.php'); 
}
else
{
	require_once('core/tinybrowser/langs/en.php'); // Falls back to English
}

require_once('core/tinybrowser/fns_tinybrowser.php');
include ("core/file_functions.php");

print "<table width=\"".$tinybrowser['window']['width']."\"><tr><td>";

// Assign file operation variables
$typenow = (isset($_REQUEST['type']) ? $_REQUEST['type'] : 'image');
$standalone = ((isset($_GET['feid']) && $_GET['feid']!='') ? true : false);
$foldernow = (isset($_REQUEST['folder']) ? urldecode(str_replace("../","",$_REQUEST['folder'])) : '');
$destfolder = (isset($_POST['destination']) ? $tinybrowser['path'][$typenow].urldecode($_POST['destination']) : '');
$destfoldernow = (isset($_POST['destination']) ? urldecode($_POST['destination']) : $foldernow);
$passfolder = '&folder='.urlencode($foldernow);
$passupfeid = (isset($_GET['feid']) && $_GET['feid']!='' ? $_GET['feid'] : '');
$dirpath = $tinybrowser['path'][$typenow];
$uploadpath = urlencode($tinybrowser['path'][$typenow].$foldernow);

switch ($suboption) // start of switch
{

	case browse:
		
		include('core/tinybrowser/tinybrowser.php');
		
	break;
	
	case upload:
		
		include('core/tinybrowser/upload.php');
		
	break;
	
	case edit:
		
		include('core/tinybrowser/edit.php');
		
	break;
	
	case folders:
		
		include('core/tinybrowser/folders.php');
		
	break;
	
	case file_upload:
		
		if (IsSet ($_FILES["file"]["name"]))
		{
			$file_name = sanitize($_FILES["file"]["name"], 100, 'S');
		}
		$foldernow = (isset($_REQUEST['folder']) ? urldecode($_REQUEST['folder']) : '');
		$write_path = $path."/".$foldernow;
		
		if (file_exists($serverpath."/".$path."/".$foldernow.$file_name)) 
		{
			//if file already exists, give popup with warning
			$msg = str_replace("%file_name%", $file_name, $sas_lang['file_exists']);
			print "<script language=\"JavaScript\">alert( '$msg' ); </script>";
		}
		else
		{
			// moveupload the file to $write_path, function is in core/common.inc.php
			$temp_file = $_FILES["file"]["tmp_name"]; //this is temporary uploaded file.	
			sas_move_uploaded_file($write_path, $file_name, $temp_file);
		}
		
		//return to the students class view
		print "<script language='javascript'>
				  window.location = 'index.php?option=filemanager&amp;path=$path&amp;suboption=browse&amp;type=$typenow$passfolder'
				</script>";
		
	break;
	
	case check:
		
		print $sas_lang['file_check']."<p>\n";
		print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=filemanager&suboption=delete_files\">";
		
		$count1 = list_suspicious_files("media");
		$count2 = list_suspicious_files("studentpages");
	
		if(($count1 == 0) AND ($count2 == 0))
		{
			print "<b>" . $sas_lang['empty_list'] . "</b><p>\n";
		}
		else
		{
			print "<br /><input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['delete'] . "\" name=\"savebutton\" class=\"savebutton\">";
			print "</form>";
		}
		
	break;
	
	case delete_files:
		
		foreach($_POST['delete_list'] as $file)
		{
			if (file_exists($sas_config['serverpath'] . $sas_config['user_path'] . "/" . $file))
			{
				unlink($sas_config['serverpath'] . $sas_config['user_path'] . "/" . $file) ;
			}
		}
		//return to the check list
		print "<script language='javascript'>window.location = 'index.php?option=filemanager&suboption=check'</script>";
		
	break;
}
print "</td></tr></table>";
include ("interface/footer.inc.php");

?>
