<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Core function:
* con_students.inc.php: last changed 26/04/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['class_id']))
{
	$class_id = intval($_GET['class_id']);
}
if (IsSet ($_POST['new_class_id']))
{
	$new_class_id = intval($_POST['new_class_id']);
}

if (IsSet ($_POST['sort']))
{
	$sort = intval($_POST['sort']);
}
if (IsSet ($_GET['student_id']))
{
	$student_id = intval($_GET['student_id']);
}
if (IsSet ($_POST['fullname']))
{
	$fullname = sanitize($_POST['fullname'], 60, 'S');
}
if (IsSet ($_POST['username']))
{
	$username = sanitize($_POST['username'], 20, 'S');
}
if (IsSet ($_POST['password']))
{
	$password = sanitize($_POST['password'], 15, 'S');
}
if (IsSet ($_POST['project']))
{
	$project = $_POST['project'];	//array sanitized later on
}
if (IsSet ($_POST['class']))
{
	$class = intval($_POST['class']);
}
$initial = 0 ; //default
if (IsSet ($_POST['initial']))
{
	$initial = intval($_POST['initial']);
}
if (IsSet ($_POST['email']))
{
	$email = sanitize($_POST['email'], 80, 'A');
}
if (IsSet ($_POST['check']))
{
	$check = intval($_POST['check']);
}
if (IsSet ($_POST['check1']))
{
	$check1 = intval($_POST['check1']);
}
if (IsSet ($_POST['send_email']))
{
	$send_email = intval($_POST['send_email']);
}
if (IsSet ($_POST['show_teacherpage']))
{
	$show_teacherpage = intval($_POST['show_teacherpage']);
}
if (IsSet ($_POST['move_to_class']))
{
	$move_to_class = intval($_POST['move_to_class']);
}
if (IsSet ($_POST['welcome_text']))
{
	$welcome_text = sanitize($_POST['welcome_text'], 500 , 'H'); //sanitize the input, leave html tags in tact
}

$modoption = "class_list";	//default choice
if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}
$d = date("Y-m-d"); //todays date

if (($sas_config[use_encryption] == 1) AND ($password != "") AND ($password != "********")) //passwords are encrypted and not blank
{
	$password = md5($password);
}


include ("interface/header.inc.php");
?>
<script language="JavaScript" type="text/javascript">
function checkinput ( form )
{
   if (form.fullname.value == "") 
    {
    alert( "<?php echo $sas_lang['input_error'] ?>" );
    form.fullname.focus();
    return false ;
    }
    if (form.username.value == "") 
    {
    alert( "<?php echo $sas_lang['input_error'] ?>" );
    form.username.focus();
    return false ;
    }
    if (form.password.value == "") 
	{
    alert( "<?php echo $sas_lang['input_error'] ?>" );
    form.password.focus();
    return false ;
    }
    if (form.password.value.length < 4) 
	{
    alert( "<?php echo $sas_lang['password_length_error'] ?>" );
    form.password.focus();
    return false ;
    }
	if ((document.form.send_email[0].checked==true) && (document.form.check[0].checked==true))
	{
	alert("<?php echo $sas_lang['student_project_warning'] ?>");
	return false ;
	}
  return true ;
}
</script>
<?php
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");

$class = "";
if($modoption == "class_list") $class = "class='active'";
print "<li $class>
<a href=\"index.php?option=configuration&suboption=students&modoption=class_list\">" . $sas_lang['class'] . "</a></li>";

$class = "";
if($modoption == "pupil_list") $class = "class='active'";
print "<li $class>
<a href=\"index.php?option=configuration&suboption=students&modoption=pupil_list\">" . $sas_lang['students'] . "</a></li>";

$class = "";
if($modoption == "import") $class = "class='active'";
print "<li $class>
<a href=\"index.php?option=configuration&suboption=students&modoption=import\">" . $sas_lang['import_import'] . "</a></li>";

if ((file_exists("media/" . $sas_config[edex_file_name])) AND ($sas_config[edex_file_name] != ""))
{
	$class = "";
	if($modoption == "download") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=configuration&suboption=students&modoption=download\">Download</a></li>";
}
include ("interface/menuend.inc.php");


if (substr("$access", 8, 1) != 1) //bit 9 off the accessrights
{
	print "<span class=\"sas_module_title\">" . $sas_lang['noaccess'] . "<br></span>";
	print "" . $sas_lang['noaccess_introduction'] . "</span><br><br><br>";
	include ("interface/footer.inc.php");
	exit;
}

switch ($modoption) // start of switch
{

	case delete_class :	
		
		$query = "SELECT * FROM $table_users WHERE class = '".$class_id."'"; // check if all students are gone
		$result3 = mysqli_query($db,$query);
		
		if (mysqli_num_rows($result3) == 0)
		{
			mysqli_query($db,"DELETE FROM $table_classes WHERE id = '".$class_id."' LIMIT 1");
		}
		else
		{
			print "<script language=\"Javascript\">
				   <!--
				   alert (\"" . $sas_lang['class_delete_error'] . "\")
				   //-->
				   </script>";
		}
		//return to the students class view
			print "<script language='javascript'>
					  window.location = 'index.php?option=configuration&suboption=students&modoption=class_list'
					</script>";
		
	break;
	
	
	case delete_student :
		
		mysqli_query($db,"DELETE FROM $table_users WHERE id = '".$student_id."' LIMIT 1"); //delete the user
		mysqli_query($db,"DELETE FROM $table_studentpages WHERE dir_number = '".$student_id."'"); //delete the studentpage
	
		$student_path = $sas_config['serverpath'] . $sas_config['user_path'] . "/studentpages/" . $student_id . "/";
	
		if (file_exists($student_path)) //first check if the student directory exists
		{
			delete_files($student_id); //delete all the file in the pupils directory
			rmdir($student_path); //delete the pupils root directory
	
			//return to the students class view
			print "<script language='javascript'>
					  window.location = 'index.php?option=configuration&suboption=students&modoption=class_list&class_id=$class_id'
					</script>";
		}
		
	break;
	
	
	case save_class :
		

		$result = mysqli_query($db,"SELECT id FROM $table_classes WHERE name = '$fullname' AND id != '".$class_id."'");
		
		if (mysqli_num_rows($result) == 0)
		{
			if ($class_id == 0)	//new class
			{
				mysqli_query($db,"INSERT INTO $table_classes (name, teachers, project, sort, welcome, show_teacherpage) VALUES ('$fullname', '', '0', '$sort', '$welcome_text', '$show_teacherpage')");
			}
			else
			{
				mysqli_query($db,"UPDATE $table_classes SET name = '$fullname' , sort = '$sort', welcome = '$welcome_text', show_teacherpage = '$show_teacherpage' WHERE id = '".$class_id."'");
			}
		}
		else
		{
			print "<script language=\"Javascript\">
				   <!--
				   alert (\"" . $sas_lang['project_name_exists'] . "\");
				   history.go(-1) ;	
				   //-->
				   </script>";
		}
		//return to the students class view
			print "<script language='javascript'>
					  window.location = 'index.php?option=configuration&suboption=students&modoption=class_list'
					</script>";
		
	break;
	
	
	case save_move_class :
		
		print "<span class=\"sas_module_title\">" . $sas_lang['classes'] . "</span><p>";
		
		$query = "SELECT name FROM $table_classes WHERE id = '".$new_class_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$classname = mysqli_result($result, 0);
		unset ($query);
		unset ($result);
		mysqli_query($db,"UPDATE $table_users SET class = '$new_class_id' WHERE class = '".$class_id."'");
		
		print "<b>" . $sas_lang['students_have_moved'] . " $classname</b></span>";
		print "<p><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['goback'] . "\" name=\"backbutton\" 
				onClick=\"javascript:parent.location='index.php?option=configuration&suboption=students&class_id=$class_id';\" class=\"backbutton\">";
	break;
		
	case move_class :
		
		print "<span class=\"sas_module_title\">" . $sas_lang['classes'] . "</span><p>";
		
		$query = "SELECT name FROM $table_classes WHERE id = '".$class_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$classname = mysqli_result($result, 0);
		unset ($query);
		unset ($result);
		print "<form method=\"POST\" name=\"form\" action=\"index.php?option=configuration&suboption=students&modoption=save_move_class&class_id=$class_id\">";
		print "<b>$classname</b><br>" . $sas_lang['students_move_to'] . ":
				<select class=\"text\" size=\"1\" name=\"new_class_id\">";
		$query = "SELECT id, name FROM $table_classes WHERE project = 0 AND id != '".$class_id."' ORDER BY sort";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		
		while ($class_list = mysqli_fetch_array($result))
		{
			print "<option value=\"$class_list[0]\">$class_list[1]</option>\n";
		}
		
		print "</select><br><input type=\"hidden\" name=\"move_to_class\" value=\"$class_id\">";
		print "<br><input type=\"button\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['goback'] . "\" name=\"backbutton\" 
				onClick=\"history.go(-1)\" class=\"backbutton\">";
		print "&nbsp;<input type=\"submit\" value=\"&nbsp;&nbsp;&nbsp;" . $sas_lang['save'] . "\" name=\"backbutton\" class=\"savebutton\">";
		print "</form></span>";
		
	break;
	
	
	case edit_class :
		
		print "<span class=\"sas_module_title\">" . $sas_lang['classes'] . "</span><p>";
		
		if ($class_id == 0) //new class
		{
			print "<span class=\"sas_module_subtitle\">" . $sas_lang['newclass'] . "</span><br>";
			print "<FORM METHOD=\"POST\" NAME=\"form\" 
					ACTION=\"" . $_SERVER['PHP_SELF'] . "?option=configuration&suboption=students&modoption=save_class&class_id=$class_id\">\n";
			print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"720\" bgcolor=\"#CECECE\">";
			print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['class'] . ":</td>\n
					<td class=\"sas_row_color_even\"><input type=\"text\" size=\"60\" class=\"textfield\" name=\"fullname\" value=\"$fullname\">&nbsp;</td></tr>\n";

			print "<tr><td class=\"sas_row_color_even\">".$sas_lang['order'] . ":</td>\n
					<td class=\"sas_row_color_even\"><input type=\"text\" name=\"sort\" size=\"10\" class=\"textfield\"></td></tr>\n
					<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['sitemap_welcome_text'] . ":</td></tr>\n
					<tr><td colspan=\"2\" width=\"620\" colspan=\"2\" bgcolor=\"#F7F7F7\">";
		
				// call basic ckeditor for welcome text
				small_editor('welcome_text', "", 'editor1');
				
			print "</td></tr>\n";
			print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">". $sas_lang['show_teacher_page'] . " \n";
			print $sas_lang['yes'] . "&nbsp;";
			print "<input type=\"radio\" value=\"1\" name=\"show_teacherpage\">&nbsp;";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "&nbsp;";
			print "<input type=\"radio\" name=\"show_teacherpage\" value=\"0\" checked></td></tr>\n";

			print "</table>\n
					<br><button onclick=\"javascript:parent.location='index.php?option=configuration&suboption=students'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
			print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
			print "</form>";
		}
		else
		{
			$query = "SELECT name, project, sort, welcome, show_teacherpage FROM $table_classes WHERE id = '".$class_id."'";
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			$fullname = stripslashes(mysqli_result($result, 0, 'name'));
			$project = mysqli_result($result, 0, 'project');
			$sort = mysqli_result($result, 0, 'sort');
			$welcome_text = mysqli_result($result, 0, 'welcome');
			$show_teacherpage = mysqli_result($result, 0, 'show_teacherpage');
			unset ($query);
			unset ($result);
			
			print "<span class=\"sas_module_subtitle\">" . $sas_lang['edit'] . " " . $sas_lang['class'] . "</span><br>";
			print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=configuration&suboption=students&modoption=save_class&class_id=$class_id\">";
			print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"720\" bgcolor=\"#CECECE\">";
			print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['class'] . ":</td>
					<td class=\"sas_row_color_even\"><input type=\"text\" size=\"60\" class=\"textfield\" name=\"fullname\" value=\"$fullname\">&nbsp;</td></tr>";
			print "<tr><td class=\"sas_row_color_even\">".$sas_lang['order'] . ":</td>
					<td class=\"sas_row_color_even\"><input type=\"text\" name=\"sort\" size=\"7\" value=\"$sort\" class=\"textfield\"></td></tr>";
			print "<b>" . $sas_lang['sitemap_welcome_text'] . ":</b> &nbsp;<br />\n";
			print "<tr><td width=\"620\" colspan=\"2\" bgcolor=\"#F7F7F7\">";
		
				// call basic ckeditor for welcome text
				small_editor('welcome_text', $welcome_text, 'editor1');
				
			print "</td></tr>";
			print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['show_teacher_page'] . "\n";
			print $sas_lang['yes'] . "&nbsp;";
			if ($show_teacherpage == "1")
			{
				print "<input type=\"radio\" value=\"1\" name=\"show_teacherpage\" checked>&nbsp;";
				print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>&nbsp;";
				print "<input type=\"radio\" name=\"show_teacherpage\" value=\"0\"><br /n>\n";
			}
			else
			{
				print "<input type=\"radio\" value=\"1\" name=\"show_teacherpage\">&nbsp;";
				print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "&nbsp;";
				print "<input type=\"radio\" name=\"show_teacherpage\" value=\"0\" checked><br /n>\n";
			}
			print "</td></tr></table>\n";

			print "\n<br><button onclick=\"javascript:parent.location='index.php?option=configuration&suboption=students'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
			print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
			print "</form>";
		}
	
	break;
	
	
	case save_student :
		
		if (count($project) == 0)
		{
			$comma_separated_project = "";
		}
		else
		{
			$comma_separated_project = implode(",", $project);
			$comma_separated_project = sanitize($comma_separated_project, 25, 'S');
		}
	
		if ($check1 == "1") //pupil is also a normal user.
		{
			$type = 21;
		}
		else
		{
			$type = "1";
		}
	
		if ($student_id == 0)	//new student
		{
			$query = mysqli_query($db,"SELECT username FROM $table_users WHERE username = '".$username."' AND type != 0");
			$results = mysqli_num_rows($query);
	
			if ($results != '0')
			{
				echo "<script>alert ('$sas_lang[student_name_exists]');
					  history.go(-1);
					  </script>";
			}
			else
			{
				mysqli_query($db,"INSERT INTO $table_users (username, password, name, class, type, email, access, project, initial) 
									 VALUES ('$username', '$password',  '$fullname', '$class', '$type', '$email', '000000000000,000000000000', '$comma_separated_project', '$initial')");
				//create 1 pupilpage		 
				$result = mysqli_query($db,"SELECT id FROM $table_users WHERE name = '".$fullname."'"); //get the id just inserted
				$user_id = mysqli_result($result, 0);
				mysqli_query($db,"INSERT INTO $table_studentpages VALUES ('', '', '', 0, 0, '0', '[1]', $user_id, '$d', 1, 0)");
				$custompath = $serverpath . "/studentpages/$user_id";
				if (!is_dir($custompath))
				{
					$perm = $sas_config['file_permissions'];
					mkdir($custompath, 0755);
					chmod($custompath, octdec($perm)); //chmod it with permissions stored in configuration table.
				}
			}
		}
		else
		{
			$query = mysqli_query($db,"SELECT username FROM $table_users WHERE username = '".$username."' AND type != 0 AND id != '".$student_id."'");
			$results = mysqli_num_rows($query);
			
			if ($results != '0') //an other user with this username exists, give error
			{
				print "<script language=\"Javascript\">
					   <!--
					   alert (\"" . $sas_lang['student_name_exists'] . "\");
					   window.location = 'index.php?option=configuration&suboption=students&student_id=$student_id' ;	
					   //-->
					   </script>"; //return to the user edit window.
			}
			else
			{
				mysqli_query($db,"UPDATE $table_users SET name='$fullname', 
														   username='$username',  
														   email='$email', 
														   class='$class', 
														   type='$type',
														   project = '$comma_separated_project',
														   initial = '$initial'
														   WHERE id = '".$student_id."'");
														   
				if (($password != "") AND ($password != "********")) //only save password when not empty.
				{
					mysqli_query($db,"UPDATE $table_users SET password = '$password', invalid_logins = 0 WHERE id = '".$student_id."'");
				}
				mysqli_query($db,"UPDATE $table_studentpages SET pcheck = '$check',
														  send_email = '$send_email' 
														  WHERE dir_number = '".$student_id."'");
			}
		}
		
		if((isset($class_id)) AND ($class_id != ""))	//if we have a class_id we return to the group view.
		{
			$modoption = "class_list" ;
		}
		else
		{
			$modoption = "pupil_list" ;
		}
		
		//return to the students class view
		print "<script language='javascript'>
				  window.location = 'index.php?option=configuration&suboption=students&modoption=$modoption&class_id=$class_id&student_id=$student_id'
				</script>";
		
	break;
	
	
	case edit_student :
		
		print "<span class=\"sas_module_title\">" . $sas_lang['students'] . "</span><br />";
		
		if ($student_id == 0)
		{
			$class = $class_id;
		}
		else
		{
			$query1 = "SELECT id, name, username, password, email, class, type, project FROM $table_users WHERE id = '".$student_id."'";
			$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			while ($student_list = mysqli_fetch_array($result1))
			{
				$fullname = $student_list[1];
				$username = $student_list[2];
				$password = $student_list[3];
				$email = $student_list[4];
				$class = $student_list[5];
				$user_type = $student_list[6];
				$project = $student_list[7];
			}
			$project_array = explode(",", $project); //create an array
	
			$query2 = "SELECT pcheck, send_email FROM $table_studentpages WHERE dir_number = '".$student_id."'"; // get the check and email bit
	
			$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
			if (mysqli_num_rows($result2) != 0)
			{
				$studentpages_list = mysqli_fetch_array($result2);
				$check = $studentpages_list[0];
				$send_email = $studentpages_list[1];
			}
		}

		if ($student_id == 0)
		{
			print "<br><span class=\"sas_module_subtitle\">" . $sas_lang['newstudent'] . "</span>";
		}
		else
		{
			print "<br><span class=\"sas_module_subtitle\">" . $sas_lang['edit'] . "</span>";
		}
		print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=configuration&suboption=students&modoption=save_student&class_id=$class_id&student_id=$student_id\" 
				onsubmit=\"return checkinput(this);\">";
		print "<p><table cellspacing=\"2\" cellpadding=\"2\" width=\"720\" bgcolor=\"#CECECE\"><tr>
			   <td class=\"sas_row_color_even\">" . $sas_lang['fullname'] . ": (*)</td>
			   <td class=\"sas_row_color_even\"><input type=text size=40 class=\"textfield\" tabindex=\"1\" name=\"fullname\" value=\"$fullname\">&nbsp;
			   <img src=\"graphics/help.gif\"title=\"" . $sas_lang['fullname_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['username'] . ": (*)</td>
				<td class=\"sas_row_color_even\"><input type=text size=20 class=\"textfield\" tabindex=\"2\" name=\"username\" value=\"$username\">&nbsp;
				<img src=\"graphics/help.gif\"title=\"" . $sas_lang['username_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['password'] . ": (*)</td>";
	
		if ($student_id == 0)
		{
			print "<td class=\"sas_row_color_even\"><input type=\"text\" name=\"password\" size=\"20\" class=\"textfield\" tabindex=\"3\">&nbsp;
				<img src=\"graphics/help.gif\"title=\"" . $sas_lang['password_tip'] . "\" class=\"tooltip\"></td></tr>";
		}
		elseif ($sas_config[use_encryption] == 1) //passwords are encrypted
		{
			print "<td class=\"sas_row_color_even\"><input type=\"text\" name=\"password\" size=\"20\" value=\"********\" class=\"textfield\" tabindex=\"3\">&nbsp;
				<img src=\"graphics/help.gif\"title=\"" . $sas_lang['password_tip'] . "\" class=\"tooltip\"></td></tr>";
		}
		else
		{
			print "<td class=\"sas_row_color_even\"><input type=\"text\" name=\"password\" size=\"20\" value=\"$password\" class=\"textfield\" tabindex=\"3\">&nbsp;
				<img src=\"graphics/help.gif\"title=\"" . $sas_lang['password_tip'] . "\" class=\"tooltip\"></td></tr>";
		}
	
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['email'] . ":</td>
				<td class=\"sas_row_color_even\"><input type=text size=60 class=\"textfield\" tabindex=\"4\" name=\"email\" value=\"$email\">&nbsp;
				<img src=\"graphics/help.gif\"title=\"" . $sas_lang['email_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['class'] . ":</td>
				<td class=\"sas_row_color_even\"><select class=\"text\" size=\"1\" tabindex=\"5\" name=\"class\">";
		
		$query = "SELECT id, name FROM $table_classes WHERE name != '**dummy**' AND project = 0 ORDER BY name";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		while ($class_list = mysqli_fetch_array($result))
		{
			$class_name = stripslashes($class_list[1]);
			if ($class_list[0] == $class)
			{
				print "<option selected value=\"$class_list[0]\">$class_name</option>\n";
			}
			else
			{
				print "<option value=\"$class_list[0]\">$class_name</option>\n";
			}
		}
		print "</select>&nbsp;<img src=\"graphics/help.gif\"title=\"" . $sas_lang['student_class_tip'] . "','CCDAEC')\"; 
			   ONMOUSEOUT=\"kill()\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\"><b>" . $sas_lang['change_password_at_next_logon'] . ":</b></td><td class=\"sas_row_color_even\">
			   <input type=\"checkbox\" value=\"1\" name=\"initial\" checked></td></tr>";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\"><table width=\"100%\">\n";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"9\"><b>" . $sas_lang['student_projects'] . ":&nbsp;&nbsp;
				<img src=\"graphics/help.gif\"title=\"" . $sas_lang['student_project_tip'] . "\" class=\"tooltip\"></td></tr>";
	
		$query = "SELECT id, name FROM $table_classes WHERE project = 1 ORDER BY name";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
	
		print "<tr>";
		$i = 0;
		$j = 0;
		while ($project_list = mysqli_fetch_array($result))
		{
			$project_name = stripslashes($project_list[1]);
			if ($student_id != 0)
			{
				if (in_array($project_list[0], $project_array))
				{
					print "<td width=\"25%\"><b>$project_name</b></td>
							<td><input type=\"checkbox\" value=\"$project_list[0]\" name=\"project[$j]\" checked></td><td width=\"10%\">&nbsp;&nbsp;</td>\n";
				}
				else
				{
					print "<td width=\"25%\"><b>$project_name</b></td>
							<td><input type=\"checkbox\" value=\"$project_list[0]\" name=\"project[$j]\"></td><td width=\"10%\">&nbsp;&nbsp;</td>\n";
				}
			}
			else
			{
				print "<td width=\"25%\"><b>$project_name</b></td>
						<td><input type=\"checkbox\" value=\"$project_list[0]\" name=\"project[$j]\"></td><td width=\"10%\">&nbsp;&nbsp;</td>\n";
			}
			if ($i == 2)
			{
				print "</tr><tr>";
				$i = 0;
			}
			else
			{
				$i++;
			}
			$j++;
		}
		print "</table></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['student_is_user'] . " </td>";
		print "<td class=\"sas_row_color_even\">" . $sas_lang['yes'] . "&nbsp;";
		if ($user_type == "21")
		{
			print "<input type=\"radio\" value=\"1\" name=\"check1\" checked>&nbsp;";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "&nbsp;";
			print "<input type=\"radio\" name=\"check1\" value=\"0\"></td>";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"check1\">&nbsp;";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "&nbsp;";
			print "<input type=\"radio\" name=\"check1\" value=\"0\" checked></td>";
		}
		print "</tr>";

		if ($student_id != 0)
		{
			$num_rows = mysqli_num_rows($result2);
			if ($num_rows == "0") //only show when a page has been created
			{
				print "<tr><td colspan=\"5\" class=\"sas_row_color_even\">" . $sas_lang['student_no_page'] . "</td></tr>";
			}
			else
			{
				print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['student_page_check'] . " </td>";
				print "<td class=\"sas_row_color_even\">" . $sas_lang['yes'] . "&nbsp;";
				if ($check == "1")
				{
					print "<input type=\"radio\" value=\"1\" name=\"check\" checked>&nbsp;";
					print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "&nbsp;";
					print "<input type=\"radio\" name=\"check\" value=\"0\"></td>";
				}
				else
				{
					print "<input type=\"radio\" value=\"1\" name=\"check\">&nbsp;";
					print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "&nbsp;";
					print "<input type=\"radio\" name=\"check\" value=\"0\" checked></td>";
				}
				print "</tr><tr><td class=\"sas_row_color_even\">" . $sas_lang['student_page_email'] . " </span></td>";
				print "<td class=\"sas_row_color_even\">" . $sas_lang['yes'] . "</span>&nbsp;";

				if ($send_email == "1")
				{
					print "<input type=\"radio\" value=\"1\" name=\"send_email\" checked>&nbsp;";
					print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "&nbsp;";
					print "<input type=\"radio\" name=\"send_email\" value=\"0\"></td>";
				}
				else
				{
					print "<input type=\"radio\" value=\"1\" name=\"send_email\">&nbsp;";
					print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "&nbsp;";
					print "<input type=\"radio\" name=\"send_email\" value=\"0\" checked></td>";
				}
				print "</tr>";
			}
		}
		else
		{
			print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['student_no_page'] . "</td></tr>";
		}

		$query3 = "SELECT id, name FROM $table_modules WHERE location = 'sn_studentpages'";
		$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
		$module_id = mysqli_result($result3, 0, 0); //get the module id for the link
		$module_name = mysqli_result($result3, 0, 1); //get the module name for the link

		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['student_directory'] . " </td><td class=\"sas_row_color_even\">
				<b>$student_id</b>&nbsp;
				<a href=\"index.php?option=modulemanager&module=$module_id&viewclass=$class\">(" . $module_name . ")</a></td></tr>";

		
		print "</table><br />";

    	print "<span class=\"sas_module_lbl2\">" . $sas_lang['required_fields'] . "<br /><br />";
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=configuration&suboption=students'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
	
		
	break;
	
	
	case download :
		
		$query = "SELECT password, email FROM $table_users WHERE id = '$_SESSION[userid]'";
		$result = mysqli_query($db,$query); //get user password , used as a key for decryption and email address
		$email_user = mysqli_result($result, 0, 1);
		if ($email_user != "")
		{
			include ("core/cryptography.php"); //include encryption script
			$encryp = new cryptography;
	
			$encryp->set_key(mysqli_result($result, 0, 0)); //use password as encryption key
			$filename = "media/" . $sas_config[edex_file_name];
			$handle = fopen($filename, "r");
			$contents = fread($handle, filesize($filename)); //get encrypted file contents
			fclose($handle);
			$decrypted = $encryp->decrypt($contents); //decrypt the contents                         
			//$decrypted = nl2br($decrypted); 
	
			require ("core/class.phpmailer.php"); //use the phpmailer class
			$mail = new PHPMailer();
			$mail->From = $sas_config['email']; //email address of submitter
			$mail->FromName = $sas_config['sitename'];
			$mail->Subject = "Imported users via janitor:";
			$mail->Body = $decrypted;
			$mail->IsHTML(false);
			$mail->AddAddress($email_user); //add email address user.
			$mail->Send();
			
			$msg = str_replace("%email_user%", $email_user, $sas_lang['import_mail_send']);
			$msg = str_replace("%filename%", $filename, $msg);
			print "<p>".$msg."</span>";
		}
		else
		{
			print "<p>" . $sas_lang['no_email'] . "</span>";
		}
		
	break;
	
	
	case import :
		
		print "<span class=\"sas_module_title\">" . $sas_lang['students'] . "</span><br />";
		print "" . $sas_lang['import_import'] . "</span><br />";
	
		require "janitor/functions.php";
		require "janitor/janitor.conf.php";
		require "janitor/config.php";
	
		// globals
		$Message = "";
	
		// Dispatcher; see what they want
		$action = $_REQUEST[PARAM_ACTION];
		$tgt = strval(intval($_REQUEST[PARAM_TGT]));
		$src = strval(intval($_REQUEST[PARAM_SRC]));
		include_once "janitor/edex.php";
		edex_screen($tgt, 1);

		
	break;
	
	
	case pupil_list :
		
		print "<span class=\"sas_module_title\">" . $sas_lang['students'] . "</span><br />";
		print $sas_lang['students_introduction'] . "</span><br><br>";
		$query = "SELECT id, name, class, project, username, email, invalid_logins FROM $table_users WHERE type = 1 OR type = 21 ORDER BY ORD(name)";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$RecordCount = mysqli_num_rows($result);
		print "<table border=\"0\">
			   <tr><td>&nbsp;</td><td>" . $sas_lang['students'] . ":</td>
			   <td width=\"30\">&nbsp;</td><td>" . $sas_lang['username'] . ":</td>
			   <td width=\"30\">&nbsp;</td><td>" . $sas_lang['email'] . ":</td>
			   <td width=\"30\">&nbsp;</td><td>" . $sas_lang['class'] . ":</td>
			   <td width=\"30\">&nbsp;</td><td>" . $sas_lang['student_projects'] . ":</td></tr>";
		$bgcolor = "#F7F7F7";
		
		while ($student_list = mysqli_fetch_array($result))
		{
			$revoke = "";
			if($student_list[6] > 9)
			{
				$revoke = "<img src=\"graphics/locked.gif\" alt=\"".$sas_lang['user_revoked']."\" title=\"".$sas_lang['user_revoked']."\"\>";
			}
			$pupil_projects = "";
			$student_name = stripslashes($student_list[1]);
			$query1 = "SELECT name FROM $table_classes WHERE id = '$student_list[2]'";
			$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
			$class_name = stripslashes(mysqli_result($result1, 0));
	
			$project_list = explode(",", $student_list[3]);
			foreach ($project_list as $value)
			{
				$query2 = "SELECT name FROM $table_classes WHERE id = '$value'"; // getting the pupils proejcts
				$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
				
				if (mysqli_num_rows($result2) == 1)
				{
					$pupil_projects .= stripslashes(mysqli_result($result2, 0)) . "<br>";
				}
				else
				{
					$pupil_projects = " ";
				}
			}
	
			print "<tr bgcolor=\"$bgcolor\"><td height=\"25\" valign=\"top\">";
			print "<a href=\"index.php?option=configuration&suboption=students&modoption=delete_student&student_id=$student_list[0]\" 
				   onClick=\"return confirm('" . $sas_lang['student_delete_confirm'] . "')\">
				   <img border=\"0\" src=\"graphics/delete.gif\" width=\"16\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" height=\"16\" class=\"tooltip\" ></a>";
			print "</td><td valign=\"top\">";
			print "<a href=\"index.php?option=configuration&suboption=students&modoption=edit_student&student_id=$student_list[0]\">
					<img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  > $student_name</a> $revoke</span><br>";
			print "</td><td>&nbsp;</td><td valign=\"top\"><b>$student_list[4]</b></td>
					<td>&nbsp;</td><td valign=\"top\"><b>$student_list[5]</b></td>
					<td>&nbsp;</td><td valign=\"top\"><b>$class_name</b></td><td>&nbsp;</td>
					<td><b>$pupil_projects</b></td></tr>";
			if ($bgcolor == "#F7F7F7")
			{
				$bgcolor = "#EDEDED";
			}
			else
			{
				$bgcolor = "#F7F7F7";
			}
		}
		
		print "</table>";
		print "<p><br />&nbsp;<img src=\"graphics/add.gif\" alt=\"" . $sas_lang['newclass'] . "\">
				<a href=\"index.php?option=configuration&suboption=students&modoption=edit_class&class_id=0\">" . $sas_lang['newclass'] . "</a>";
		print "&nbsp;&nbsp;<img src=\"graphics/add.gif\" alt=\"" . $sas_lang['newstudent'] . "\">
			   <a href=\"index.php?option=configuration&suboption=students&modoption=edit_student&student_id=0&class_id=$class_list[0]\">" . $sas_lang['newstudent'] . "</span></a>";
		
		
	break;
	
	
	case class_list :
		
		print "<span class=\"sas_module_title\">" . $sas_lang['classes'] . "</span><br />";
		print $sas_lang['students_introduction'] . "<p><br />";

		$query = "SELECT id, name FROM $table_classes WHERE project = 0 AND name != '**dummy**' ORDER BY sort ";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$RecordCount = mysqli_num_rows($result);
		if ($RecordCount > 0)
		{
			if ($class_id != "")
			{
				$query1 = "SELECT name FROM $table_classes WHERE id = '".$class_id."'";
				$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
				$class_name = stripslashes(mysqli_result($result1, 0));
	
				print "<span class=\"sas_module_subtitle\">$class_name</span><br>";
				print "<table border=\"0\">";
				
				$query2 = "SELECT id, name, class, invalid_logins FROM $table_users WHERE class = '".$class_id."' AND (type = 1 OR type = 21) ORDER BY name";
				$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
				
				while ($student_list = mysqli_fetch_array($result2))
				{
					$revoke = "";
					if($student_list[3] > 9)
					{
						$revoke = "<img src=\"graphics/locked.gif\" alt=\"".$sas_lang['user_revoked']."\" title=\"".$sas_lang['user_revoked']."\"\>";
					}
					$student_name = stripslashes($student_list[1]);
					print "<tr><td>";
					print "&nbsp;&nbsp;";
					print "</td>";
					print "<td>";
					print "<a href=\"index.php?option=configuration&suboption=students&modoption=delete_student&student_id=$student_list[0]&class_id=$class_id\" 
							onClick=\"return confirm('" . $sas_lang['student_delete_confirm'] . "')\">
							<img border=\"0\" src=\"graphics/delete.gif\" width=\"16\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" height=\"16\" class=\"tooltip\" ></a>";
					print "<a href=\"index.php?option=configuration&suboption=students&modoption=edit_student&student_id=$student_list[0]&class_id=$class_id\">
							<img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  > $student_name</a> $revoke</span><br>";
					print "</td></tr>";
				}
				print "<tr><td colspan=\"2\">&nbsp;</td><td>
						 <a href=\"index.php?option=configuration&suboption=students&modoption=move_class&class_id=$class_id\">" . $sas_lang['students_move_to'] . "</a>
						 <img src=\"graphics/arrow.gif\"\" alt=\"" . $sas_lang['students_move_to'] . "\">
						 </td></tr></table><br>";
			}
	
			while ($class_list = mysqli_fetch_array($result))
			{
				$class_name = stripslashes($class_list[1]);
				if ($class_list[0] != "$class_id")
				{
					$query2 = "SELECT id FROM $table_users WHERE class = '$class_list[0]' AND (type = 1 OR type = 21)";
					$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);
					$RecordCount = mysqli_num_rows($result2);
					print "<a href=\"index.php?option=configuration&suboption=students&modoption=delete_class&class_id=$class_list[0]\" onClick=\"return confirm('" . $sas_lang['class_delete_confirm'] . "')\">
							<img border=\"0\" src=\"graphics/delete.gif\" width=\"16\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" height=\"16\" class=\"tooltip\" ></a>";
					print "<a href=\"index.php?option=configuration&suboption=students&modoption=edit_class&class_id=$class_list[0]\">
							<img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  ></a>";
					print "&nbsp;<a href=\"index.php?option=configuration&suboption=students&modoption=class_list&class_id=$class_list[0]\">$class_name</a> <span class=\"small_blue\">($RecordCount)</span><p>";
				}
			}
		}
		else
		{
			print "<br />" . $sas_lang['empty_list'] . "<p><br />";
		}

	print "<br><table><tr><td>&nbsp;</td>";

	print "<td><img src=\"graphics/add.gif\" alt=\"" . $sas_lang['newclass'] . "\"></td>
		   <td><a href=\"index.php?option=configuration&suboption=students&modoption=edit_class&class_id=0\">" . $sas_lang['newclass'] . "</span></a></td>
		   <td>&nbsp;</td>";
	
	if ($RecordCount > 0)
	{
		print "<td><img src=\"graphics/add.gif\" alt=\"" . $sas_lang['newstudent'] . "\"></td>
			   <td><a href=\"index.php?option=configuration&suboption=students&modoption=edit_student&student_id=0&class_id=$class_list[0]\">" . $sas_lang['newstudent'] . "</span></a></td>";
	}
	
	print "</tr></table>";
	print "\n<br><button onclick=\"javascript:parent.location='index.php?option=configuration'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		
	break;
}

include ("interface/footer.inc.php");
?>
