<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.10  
* Copyright (C) 2007-2013: Fred Stuurman (fc.stuurman@gmail.com)
* News module : 
* edit_content.php: last changed 20/01/2013 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$template_path = $sas_config['serverpath'] . $sas_config['user_path'] . "/" . $media . "/templates";

if (IsSet ($addarticle))
{
	print "<p><span class=\"sas_module_subtitle\">" . $sas_lang['news_module_addarticle'] . "<br></span>";
}
else
{
	print "<p><span class=\"sas_module_subtitle\">" . $sas_lang['news_module_editarticle'] . "<br></span>";
}
?>
<style type="text/css">
SELECT { background-color: #FFFFFF; }
</style>
<script type="text/javascript">
	
$(document).ready(function(){
	$('.datepicker').datepicker({
	changeMonth: true,
	changeYear: true,
    dateFormat: 'dd-mm-yy'
	});
});
</script>
<FORM name="theForm" id="theForm" METHOD="POST" ACTION="index.php?option=modulemanager&module=<?php echo $module?>&modoption=save_article&suboption=<?php echo $suboption ?>&cat_id=<?php echo $cat_id ?>&article_id=<?php echo $article_id ?>">
<div id="ErrorBox"></div>
<TABLE class="ToolBar" id="idToolbar" cellSpacing="0" cellPadding="0"  width="800" border="1">
<TBODY>
<TR style="background:ButtonFace">
<TD colSpan=18 height="28">
<?php

if (IsSet ($_GET['template']))
{
	$template = preg_replace('/[^a-zA-Z0-9\-_.]*/' , '', $_GET['template']);
	$pos = strrpos($template, ".");	//get last point
	$template = substr($template,0,$pos);	//remove extention, be sure it is a html file
	$filename = $template_path . "/" . $template . ".html";
	
	if (file_exists($filename))
	{
		$handle = fopen($filename, "r");
		$article_content = fread($handle, filesize($filename));
		fclose($handle);
	}
}
$date_format = str_replace('%d', 'dd', $sas_config['dateformat']) ;
$date_format = str_replace('%Y', 'yyyy', $date_format) ;
$date_format = str_replace('%m', 'mm', $date_format) ;

		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"800\" bgcolor=\"#CECECE\">";

        print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['title'] . ":</span></td>
        <td class=\"sas_row_color_even\"><input type=\"text\" name=\"article_title\" size=\"30\" value=\"$article_title\" class=\"required\"></td></tr>
        
        <tr><td class=\"sas_row_color_even\">" . $sas_lang['date'] . ":</span></td>
        <td class=\"sas_row_color_even\">
		<input type=\"text\" name=\"article_date\" id=\"article_date\" size=\"11\" value=\"$article_date\" class=\"datepicker\" /></td></tr>";
	   
       print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['category'] . ": </span>\n</td>
       <td class=\"sas_row_color_even\"><select size=\"1\" class=\"text\" name=\"article_category\">\n";

$query = "SELECT id, title FROM $table_news_category";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 

while ($category_list = mysqli_fetch_array($result))
{
	if (($category_list[0] == $article_category) OR ($category_list[0] == $cat_id))
	{
		print "<option selected value=\"$category_list[0]\">$category_list[1]</option>\n";
	}
	else
	{
		print "<option value=\"$category_list[0]\">$category_list[1]</option>\n";
	}
}
print "</select>";

if (is_dir($template_path))
{
	print "</td><tr><td class=\"sas_row_color_even\"><span class=text>" . $sas_lang['template'] . ":</span></td><td class=\"sas_row_color_even\"><select class=\"text\" size=\"1\" name=\"template\"
		onchange=\"parent.location.href='index.php?option=modulemanager&module=$module&modoption=$modoption&$option&cat_id=$cat_id&article_id=$article_id&template=' + this.options[this.selectedIndex].value\">\n";
	$dir_handle = @ opendir($template_path);
	print "<option value=\"" . $sas_lang['choose_one'] . "\">" . $sas_lang['choose_one'] . "</option>\n";
	while ($file = readdir($dir_handle))
	{
		if ((preg_match('/.html/', $file)) OR (preg_match('/.htm/', $file)))
		{
			$file_array[] = $file ;
			//order the files naterually
			$array_lowercase = array_map('strtolower', $file_array); //convert to lowercase first
			array_multisort($array_lowercase, SORT_ASC, SORT_REGULAR, $file_array); //do the sorting
		}
	}
	closedir($dir_handle);
	
	foreach($file_array as $value)
	{
		echo "<option value=\"$value\">$value</option>";
	}
	print "</select></td>";
}
print "</tr><tr>";

print "<td colspan=\"2\" class=\"sas_row_color_even\">";
print $sas_lang['public_area'] . ":" .
		"<input type=\"radio\" value=\"0\" name=\"article_archive\"";
if (($article_archive == 0) AND ($article_public == 0))
{
	print " checked";
}
print ">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
print $sas_lang['protected_area'] . ":" .
		"<input type=\"radio\" value=\"3\" name=\"article_archive\"";
if (($article_archive == 0) AND ($article_public == 1))
{
	print " checked";
}
print ">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
print $sas_lang['news_module_archive'] . ":" .
		"<input type=\"radio\" value=\"1\" name=\"article_archive\"";
if (($article_archive == 1) AND ($article_public == 0))
{
	print " checked";
}
print ">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
print $sas_lang['news_module_archive'] . " " . $sas_lang['protected_area'] . ":" .
		"<input type=\"radio\" value=\"2\" name=\"article_archive\"";
if (($article_archive == 1) AND ($article_public == 1))
{
	print " checked";
}
print "></td></tr>";

print "<tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
$theme_css = $sas_config['url'] . $cmsdir . "/themes/" . $sas_config['theme'] . "/style.css";
$height = $sas_config['htmlarea_editor_rows'] * 20;
$fck_lang = strtolower($sas_config['language']);
print "<textarea cols=\"80\" id=\"editor_v2\" name=\"article_content\" rows=\"".$sas_config['htmlarea_editor_rows']."\">$article_content</textarea>";
?>
	<script type="text/javascript">
	//<![CDATA[

		CKEDITOR.replace( 'editor_v2',
			{
				language : '<?php echo $fck_lang ?>',
				font_names: '<?php load_webfont_names(); ?>',
				contentsCss : ['<?php echo $theme_css ?>'<?php load_webfonts(); ?>],
				height : <?php echo $height ?>,
				width : <?php echo $sas_config['editor_width']; ?>,
				toolbar : 'Full',
				filebrowserBrowseUrl : 'editors/ckeditor/filemanager/browser.php?type=link',
				filebrowserImageBrowseUrl : 'editors/ckeditor/filemanager/browser.php?type=image',
				filebrowserFlashBrowseUrl : 'editors/ckeditor/filemanager/browser.php?type=flash',
				filebrowserFLVPlayerBrowseUrl : 'editors/ckeditor/filemanager/browser.php?type=flash',
				customConfig: "sas_config.js"

			});

	//]]>
	</script>
<?php

print "</td><tr></table></table>";
print "<br><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module&modoption=list_news_cat&suboption=$suboption&cat_id=$cat_id'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button><br><br></form>";
?>
