<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.5.04  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Portal module : 
* view_portal.php: last changed 16/01/2008 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

//set the portal table names
$table_portal_pages = $dbprefix . "m_portal_pages";
$table_portal_entries = $dbprefix . "m_portal_entries";

load_language($cmsdir . '/', 'sn_portal'); //load language file

$pagetitle = addslashes($pagetitle) ; //add slashes for the query
//check to see if we have a portal page with the pagename we are on.
$query = "SELECT id, welcome_text, link_type, cols FROM $table_portal_pages WHERE pagename = '".$pagetitle."'";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
$RecordCount2 = mysqli_num_rows($result);

if ($RecordCount2 > 0)
{
	if ($website == "protected")
	{
		$public = 1;	// we are on the protected area
	}
	else
	{
		$public = 0 ;	//we are on the public site
	}

$portal_id = mysqli_result($result, 0, 0);
$welcome = mysqli_result($result, 0, 1);
$target = mysqli_result($result, 0, 2);
$columns = mysqli_result($result, 0, 3);

print "<span class=\"sas_module_title\">" . $welcome . "</span><br/>\n";
print "<table class=\"sas_module_table\"><tr>\n";

if ($columns == 2)
{
	print "<td valign=\"top\" width=\"50%\">\n";
}
else
{
	print "<td valign=\"top\">\n";
}	
$i = 0;
$query = "SELECT id, description, module_loc, count FROM $table_portal_entries WHERE portal_id = '$portal_id' ORDER BY sort";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
	
	//list through the portal module entries
	while ($portal_list = mysqli_fetch_array($result))
	{
		//see if we have a page on the CMS to display the outcome of $query
		//sn_pages is an exception!
		if ($portal_list[2] != 'sn_pages')
		{
		$query1 = "SELECT id FROM $table_pages WHERE module LIKE '$portal_list[2]%' AND hidden != 'yes'";
		$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING);
		$RecordCount1 = mysqli_num_rows($result1);
		}
		
		//sn_pages is an exception!
		if (($RecordCount1 > 0) OR ($portal_list[2] == 'sn_pages'))
		{
			$description = $portal_list[1] ;
			$include_file = $portal_list[2] . "_portal.php" ;
			$items = $portal_list[3] ;
			
			if (file_exists($cmsdir."/modules/sn_portal/".$include_file))
			{
				include($cmsdir."/modules/sn_portal/" . $include_file) ;
			
				$i++;
				if (($i == 1) AND ($columns == 2) AND ($RecordCount > 0))
				{
					print "</td>\n<td valign=\"top\">\n";
				}
				elseif($RecordCount > 0)
				{
					print "</td></tr><tr><td colspan=\"$columns\">&nbsp;</td></tr>\n<tr><td valign=\"top\">\n";
					$i = 0 ;
				}
			}
		}
	}
	
	if (($i == 1) AND ($columns == 2))
	{
		print "&nbsp;\n";
	}
	if ($RecordCount2 > 0)
	{
		print "</td></tr></table>\n";
	}
}
else
{
	print "<td><span class=\"sas_module_error\">".$sas_lang['portal_module_not_exists']."</span></td></tr></table>\n" ;
}
?>