<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Class pages module : 
*  list_pupils.php: last changed 09/08/2011  by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

// getting the teachers name, class and project
$query = "SELECT name, type, class, project FROM $table_users WHERE id = '" . $userid . "'";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db) . '"<br>Query : "' . $query . '".', E_USER_WARNING);
$teacher_name = mysqli_result($result, 0, 0);
$user_type = mysqli_result($result, 0, 1);
$teacher_class = mysqli_result($result, 0, 2);
$teacher_project = mysqli_result($result, 0, 3);
$teacher_project1 = $teacher_project;
$project_array = explode(",", $teacher_project); //create an array
unset ($query);
unset ($result);

$teacher_own_class = $teacher_class ;

if ((IsSet ($new_class)) and ($new_class != "")) // user has selected a class or project from the dropdownmenu
{
	$teacher_class = $new_class;
	$teacher_project = $new_class;
	$where_clause = "" ;			//we have a project or a class
}
elseif (trim($teacher_class != "")) //teacher class not blank
{
	if (strpos($teacher_class, ",")) //if we have a comma, we only need the first class
	{
		$teacher_class = substr($teacher_class, 0, strpos($teacher_class, ","));
	}
$where_clause = " AND project = 0" ;	//we search a class
}
elseif (trim($teacher_project != "")) //teacher project not blank
{
	if (strpos($teacher_project, ",")) //if we have a comma, we only need the first project
	{
		$teacher_project = substr($teacher_project, 0, strpos($teacher_project, ","));
	}
$where_clause = " AND project = 1" ;	//we search for a project
}

//if teachers class is blank use the project
if ((trim($teacher_class == "")) AND (trim($teacher_project != "")))
{
	$teacher_class = $teacher_project;
}

$query = "SELECT name FROM $table_classes WHERE id = '$teacher_class' OR id = '$teacher_project' $where_clause"; // getting the name of project or class
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db) . '"<br>Query : "' . $query . '".', E_USER_WARNING);
$num_rows = mysqli_num_rows($result);
if ($num_rows > 0)
{
	$teacher_class_name = stripslashes(mysqli_result($result, 0));
}
unset ($query);
unset ($result);

$check_sessioncode = $sas_config['sessioncode'];
$sessioncode = "$check_sessioncode";
$_SESSION['sessioncode'] = "$sessioncode";

$query2 = "SELECT id, name FROM $table_classes WHERE project = 0 AND name != '**dummy**' ORDER BY sort"; //get the classes for dropdown menu
$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db) . '"<br>Query : "' . $query2 . '".', E_USER_WARNING);
$query3 = "SELECT id, name FROM $table_classes WHERE project = 1 ORDER BY name"; //get the projects for dropdown menu
$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db) . '"<br>Query : "' . $query3 . '".', E_USER_WARNING);

$prot_theme = $sas_config['protected_theme'];
$table_prot = $dbprefix . "prot_pages";
$query = "SELECT name FROM $table_prot LIMIT 1";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db) . '"<br>Query : "' . $query . '".', E_USER_WARNING);
$RecordCount = mysqli_num_rows($result); //see if we have pages on the intranet
unset ($query);
unset ($result);

print "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"sas_module_table\">
		<tr>";

//record the page and section number where the teacher is now.
$_SESSION['page_came_from'] = $page;
$_SESSION['section_came_from'] = $section;

if ($teacher_class == "") // teacher has no class
{
	// only display the intranet button.
	print "<td colspan=\"4\" align=\"center\"><span class=\"sas_module_title\">". $teacher_name ."</span></td>";
	print "<td align=\"right\" valign=\"top\">";
	
	if ($user_type == 22)	//teacher is also s@s user display button for S@S admin
	{
		print "<input type=\"button\" value=\"" . $sas_lang['startcenter'] . "\" onClick=\"javascript:parent.location='$cmsdir/index.php';\">";
	}
	else
	{
		print "&nbsp;";
	}

	print "<td align=\"right\" valign=\"top\">";
	
	if ($RecordCount > 0) //do we have intranet pages?
	{
		print "<input type=\"button\" value=\"" . $sas_lang['intranet'] . "\" onClick=\"javascript:parent.location='index.php?site=protected';\">";
	}
	else
	{
		print "&nbsp";
	}
	print "</td></tr><tr><td colspan=\"5\">&nbsp;</td></tr></table>";
}
else
{
	print "<td><span class=\"sas_module_title\">". $teacher_name. ": </span></td>";
	print "<td valign=\"top\">";
	print "<form method=\"post\" action=\"index.php?section=$section&page=$page&option=class\">
			<select onChange=\"form.submit();\" name=\"new_class\">";
	print "<option selected value=\"\">" . $sas_lang['class'] . "</option>\n";
	//list the classes in a dropdown
	$i = 0;
	while ($class_list = mysqli_fetch_array($result2))
	{
		$i++;
		$class_list[1] = stripslashes($class_list[1]);
		if ($class_list[0] == $teacher_class)
		{
			print "<option selected value=\"$class_list[0]\">$class_list[1]</option>\n";
		}
		else
		{
			if($i == 1)
			{
				$first_class = $class_list[0] ;
			}
			print "<option value=\"$class_list[0]\">$class_list[1]</option>\n";
		}
	}
	print "</select></form></td><td valign=\"top\">";
	
	print "<form method=\"POST\" action=\"index.php?section=$section&page=$page&option=project\">
			<select onChange=\"form.submit();\" name=\"new_class\">\n";
	print "<option selected value=\"\">" . $sas_lang['student_project'] . "</option>\n";
	
	//list the projects in a dropdown
	while ($class_list = mysqli_fetch_array($result3))
	{
		$class_list[1] = stripslashes($class_list[1]);
		if ($class_list[0] == $teacher_class)
		{
			print "<option selected value=\"$class_list[0]\">$class_list[1]</option>\n";
		}
		else
		{
			print "<option value=\"$class_list[0]\">$class_list[1]</option>\n";
		}
	}
	print "</select>";
	print "</td><td align=\"right\" valign=\"top\">";
	if ($user_type == 22)	//teacher is also s@s user display button for S@S admin
	{
		print "<input type=\"button\" value=\"" . $sas_lang['startcenter'] . "\" onClick=\"javascript:parent.location='$cmsdir/index.php';\">\n";
	}
	else
	{
		print "&nbsp;";
	}
	print "</td><td align=\"right\" valign=\"top\">\n";
	if ($RecordCount > 0)	//do we have intranet pages?
	{
		print "<input type=\"button\" value=\"" . $sas_lang['intranet'] . "\" onClick=\"javascript:parent.location='index.php?site=protected';\">\n";
	}
	else
	{
		print "&nbsp";
	}
	print "</td></tr>\n<tr><td colspan=\"5\">&nbsp;</td></tr>\n";

	//projects
	
	if ($teacher_project1 != "") //does the teacher has project(s)
	{	
		foreach ($project_array as $teacher_project)
		{
			print "<tr><td colspan=\"5\">";
			print "<table cellpadding=\"2\">";
			//get the dummy pupil id == projectid connected to project
			$query = "SELECT id, name, dir_number FROM $table_classes WHERE id = '".$teacher_project."'";
			$result3 = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			if (mysqli_num_rows($result3) > 0)
			{
				$project_id = mysqli_result($result3, 0, 'dir_number');
				//get the project pages
				$query = "SELECT studentid, title FROM $table_studentpages WHERE dir_number = '".$project_id."' ORDER BY sort"; 
				$result2 = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
				$num_rows = mysqli_num_rows($result2);
				
				//get the project name from classes table
				//$query = "SELECT name FROM $table_classes WHERE id = '".$teacher_project."'";
				//$result4 = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
				$project_name = mysqli_result($result3, 0, 'name');
				
				print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['student_project'] . "</span></td><td>:</td>
						<td colspan=\"3\" class=\"sas_module_title\"> $project_name</td></tr>
						<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['student_view'] . "</span></td><td>:</td>\n";
				unset ($title_list1);
				unset ($studentid_list1);
				
				while ($row = mysqli_fetch_array($result2))
				{
					$title_list1[] = $row['title'];
					$studentid_list1[] = $row['studentid'];
					$auth_pages .= $row['studentid'] . ",";
				}
				if ($num_rows > 0)
				{
					$i = 0;
					$j = 0;
					// view links
					foreach ($title_list1 as $title)
					{
						print "<td><a href=\"index.php?section=$section&page=$page&modoption=view_page&student_id=$studentid_list1[$i]&option=project\" class=\"sas_module_link\">$title </a></td>\n";
						$i++;
						$j++;
						if ($j > 6)
						{
							print "</tr><tr><td>&nbsp;</td>";
							$j = 0;
						}
					}
					print "</tr>";
					print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['page_edit'] . "</span></td><td>:</td>";
					$i = 0;
					$j = 0;
					//edit links
					foreach ($title_list1 as $title)
					{
						print "<td><a href=\"javascript:NewWindow('" . $sas_config['url'] . "$cmsdir/editors/ckeditor/studenteditor.php?editpage=$studentid_list1[$i]')\" class=\"sas_module_link\">$title </a></td>\n";
						$i++;
						$j++;
						if ($j > 6)
						{
							print "</tr><tr><td>&nbsp;</td>";
							$j = 0;
						}
					}
				}
				print "</tr></table></td></tr>\n<tr><td colspan=\"5\"><hr></td></tr>\n";
			}
		}
	}
			
	print "</td></tr>";
	
	print "<tr><td colspan=\"5\">";
	
	//get the teacher id's for this specific class
	$query = "SELECT id FROM $table_users WHERE class = '$teacher_own_class' AND (type = 2 OR type = 22)";
	$result2 = mysqli_query($db,$query) or trigger_error(mysqli_error($db) . '"<br>Query : "' . $query . '".', E_USER_WARNING);
	$where_clause = "";	//create a where clause from the teachers id's
	while ($row = mysqli_fetch_array($result2))
	{
		$where_clause .= "dir_number = '" . $row['id'] . "' OR ";
	}
	$where_clause = substr($where_clause,0,-4);
	//get the teachers pages
	$query = "SELECT studentid, title FROM $table_studentpages WHERE $where_clause ORDER BY sort"; 
	$result2 = mysqli_query($db,$query) or trigger_error(mysqli_error($db) . '"<br>Query : "' . $query . '".', E_USER_WARNING);
	$num_rows = mysqli_num_rows($result2);
	$name = htmlspecialchars(rawurlencode($teacher_name));
	
	while ($row = mysqli_fetch_array($result2))
	{
		$title_list[] = $row['title'];
		$studentid_list[] = $row['studentid'];
		$auth_pages .= $row['studentid'] . ",";
	}
	//store the page id's which this user is allowed to edit. used in studenteditor.php 
	$_SESSION['pages_authorized'] = substr($auth_pages,0,-1) ;
	
	if ($num_rows > 0)
	{
		$i = 0;
		print "<table cellpadding=\"5\">\n
				<tr><td colspan=\"4\" class=\"sas_module_title\">" . $sas_lang['teacher_pages'] . ":</td></tr>\n
				<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['student_view'] . " :</span></td>\n";
		//view pages links
		foreach ($title_list as $title)
		{
			print "<td><a href=\"index.php?section=$section&page=$page&modoption=view_page&student_id=$studentid_list[$i]&fullname=$name\" class=\"sas_module_link\">$title </a></td>";
			$i++;
		}
		print "</tr>";
		print "<tr><td><span class=\"sas_module_lbl1\">" . $sas_lang['page_edit'] . " :</span></td>";
		$i = 0;
		//edit page links
		foreach ($title_list as $title)
		{
			print "<td><a href=\"javascript:NewWindow('" . $sas_config['url'] . "$cmsdir/editors/ckeditor/studenteditor.php?editpage=$studentid_list[$i]')\" class=\"sas_module_link\">$title </a></td>\n";
			$i++;
		}
		print "</tr></table></td></tr>";
	}
	
	if($option == "project")
	{
		$query1 = "SELECT dir_number, name FROM $table_classes WHERE id = '".$teacher_class."'";	
	}
	else
	{
		//if the teacher is in a dummy class we need to get the pupils from the first class from the list.
		if($teacher_class_name == "**dummy**")
		{
			$teacher_class = $first_class;
		}
	//get list of pupils/teacher from the selected class.
	$query1 = "SELECT id, name, class, type, username FROM $table_users 
				WHERE class LIKE '".$teacher_class.",%' or class LIKE '%,".$teacher_class."' or class LIKE '%,".$teacher_class.",%' OR class = '".$teacher_class."' 
				AND (type = 2 OR type = 1) OR id = '" . $userid . "'
				ORDER BY name";	
	}		
	$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db) . '"<br>Query : "' . $query . '".', E_USER_WARNING);
	$num_pages = $sas_config['number_pupilpages'];
	$row_class = "sas_row_color_odd";
	print "<tr><td colspan=\"5\"><hr></td></tr>" .
			"<tr><td colspan=\"4\"><b>";

	if ($option == "project")
	{
		print "<span class=\"sas_module_lbl1\">". $sas_lang['student_project'] . "</span>";
	}
	else
	{
		print "<span class=\"sas_module_lbl1\">". $sas_lang['class'] . "</span>";
		$option = "class";
	}

	print ": <span class=\"sas_module_text\">" . $teacher_class_name . "</span></td>
		<td align=\"right\">
		<a href=\"index.php?section=$section&page=$page&modoption=add_student&new_class=$teacher_class\" class=\"sas_module_link\">[" . $sas_lang['newstudent'] . "]</a></td></tr>
		<tr><td colspan=\"6\">
		<table width=\"100%\">
		<tr>
		 <td>&nbsp;</td>";
		 
	if ($option == "project")	// we don't want projects to be deleted from here
	{
		print "<td><span class=\"sas_module_subtitle\">" . $sas_lang['student_project'] . "</span></td>";
	}
	else
	{
		print "<td><span class=\"sas_module_subtitle\">" . $sas_lang['students'] . "</span></td>
				<td><span class=\"sas_module_subtitle\">" . $sas_lang['username'] . "</span></td>";
	}
	print "<td><span class=\"sas_module_subtitle\">" . $sas_lang['student_view'] . "</span></td>
		 <td><span class=\"sas_module_subtitle\">" . $sas_lang['student_update'] . "</span></td>
		 <td><span class=\"sas_module_subtitle\">" . $sas_lang['student_create_delete'] . "</span></td>
		 <td><span class=\"sas_module_subtitle\">" . $sas_lang['student_create_page'] . "</span></td></tr>";
				 
	while ($student_list = mysqli_fetch_array($result1))
	{
		print "<tr class=\"$row_class\"><td>";
		
		if ($option == "project")	// we don't want projects to be deleted from here
		{
			print "&nbsp;";
		}
		else
		{
			print "<a href=\"index.php?section=$section&page=$page&modoption=delete_student&student_id=$student_list[0]&new_class=$teacher_class\" onClick=\"return confirm('" . $sas_lang['student_delete_confirm'] . "')\">
			<img src=\"$cmsdir/graphics/delete.gif\" border=\"0\"></a>";
		}
		print "</td><td>";
		// block for creation of the student data
		$query2 = "SELECT studentid, newcontent, pcheck, title FROM $table_studentpages WHERE dir_number = '$student_list[0]' ORDER BY sort";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db) . '"<br>Query : "' . $query2 . '".', E_USER_WARNING);
		$num_rows = mysqli_num_rows($result2);

		unset ($newcontent_list); //clear the new contents array
		unset ($studentid_list);
		unset ($student_title);
		while ($row = mysqli_fetch_array($result2))
		{
			$newcontent_list[] = $row['newcontent'];
			$studentid_list[] = $row['studentid'];
			$student_title[] = $row['title'];
		}

		$name = htmlspecialchars(rawurlencode($student_list[1]));
		$student_name = stripslashes($student_list[1]);
		
		if ($option == "project")	// projects user is dummy user, no need to edit it
		{
			print "<span class=\"sas_module_text\">". $student_name . "</span>";
		}
		else
		{
			print "<span class=\"sas_module_text\"><a href=\"index.php?section=$section&page=$page&modoption=edit_student&student_id=$student_list[0]&new_class=$teacher_class\" class=\"sas_module_link\">". $student_name ."</a></span>";
		}
		if (($student_list[3] == 2) OR ($student_list[3] == 22))
		{
			print " (*)";
		}
		
		print "</td>";
		
		if($option != "project")
		{
			print "<td><span class=\"sas_module_text\">".$student_list[4]."</span></td>\n";
		}
		
		print "<td>";
		
		if ($num_rows > 0) // we have at least 1 page
		{
			$i = 0;
			$first = 0;
			
			//page view links
			foreach ($studentid_list as $p)
			{
				print "<a href=\"index.php?section=$section&page=$page&modoption=view_page&option=$option&student_id=$studentid_list[$i]&fullname=$name&new_class=$teacher_class\"
						alt=\"$student_title[$i]\" title=\"$student_title[$i]\" class=\"sas_module_link\">";
				$i++;
				print "[$i] </a>";
			}
			print "</td><td>\n";
			$i = 0;
			//approve links
			foreach ($newcontent_list as $c) // check if newcontent is filled.
			{
				if ($c != "")
				{
					print "<a href=\"index.php?section=$section&page=$page&modoption=approve_page&option=$option&student_id=$studentid_list[$i]&new_class=$teacher_class\"
							alt=\"$student_title[$i]\" title=\"$student_title[$i]\" class=\"sas_module_link\">";
					$k = $i +1;
					print "[$k] </a>";
				}
				$i++;
			}
			print "&nbsp;</td><td>\n";
			$i = 0;
			//delete links
			foreach ($studentid_list as $p)
			{
				print "<a href=\"index.php?section=$section&page=$page&modoption=delete_page&option=$option&student_id=$studentid_list[$i]&new_class=$teacher_class\" 
						alt=\"$student_title[$i]\" title=\"$student_title[$i]\" onClick=\"return confirm('" . $sas_lang['page_delete_confirm'] . "')\" class=\"sas_module_link\">";
				$i++;
				print "[$i] </a>";
			}
			print "</td><td>\n";
			$k = $i + 1; //add 1 for the next page to be created.
			
			if($option == "project")
			{
				print "<a href=\"index.php?section=$section&page=$page&option=project&modoption=create_page&student_id=$student_list[0]&create=$k&new_class=$teacher_class\" class=\"sas_module_link\">[" . $sas_lang['newpage'] . "]</a>";
			}
			else
			{
				if ($i < $num_pages) // if total pages is not greater than config of pupil pages so make create links
				{
					print "<a href=\"index.php?section=$section&page=$page&modoption=create_page&student_id=$student_list[0]&create=$k&new_class=$teacher_class\" class=\"sas_module_link\">[" . $sas_lang['newpage'] . "]</a>";
				}
			}
			print "</td>\n";
		}
		else
		{
			print "<td>&nbsp;</td><td>&nbsp</td><td>\n";
			$k = $i + 1; //add 1 for the next page to be created.
			if (($i < $num_pages) OR ($num_rows == 0))
			{
				if($option == "project")
				{
					print "<a href=\"index.php?section=$section&page=$page&option=project&modoption=create_page&student_id=$student_list[0]&create=$k&new_class=$teacher_class\" class=\"sas_module_link\">[" . $sas_lang['newpage'] . "]</a>";
				}
				else
				{
					print "<a href=\"index.php?section=$section&page=$page&modoption=create_page&student_id=$student_list[0]&create=1&new_class=$teacher_class\" class=\"sas_module_link\">[" . $sas_lang['newpage'] . "]</a>";
				}		
			}
		}
		// end of block for creation of the student data
		//print "</td></tr>";

		if ($row_class == "sas_row_color_odd")
		{
			$row_class = "sas_row_color_even";
		}
		else
		{
			$row_class = "sas_row_color_odd";
		}
	}

	print "</td></tr></table><tr><td colspan=\"5\"><span class=\"sas_module_lbl2\">(*) " . $sas_lang['teachers'] . "</span></td></tr>
			<tr><td colspan=\"4\">&nbsp;</td><td align=\"right\">
			<a href=\"index.php?section=$section&page=$page&modoption=add_student&new_class=$teacher_class\" class=\"sas_module_link\">[" . $sas_lang['newstudent'] . "]</a></td>
			</tr></table>";
}

print "<p><a href=\"index.php?section=$section&page=$page&logout=yes\" class=\"sas_module_link\">
		<b><< " . $sas_lang['logout'] . " <b>" . $teacher_name . "</b> >>&nbsp;</b></a><p>";
?>